package net.noderunner.amazon.s3;

import java.text.SimpleDateFormat;
import java.util.TimeZone;

/**
 * Date format used by Amazon S3.
 * @author Elias Ross
 */
@SuppressWarnings("serial")
public class ISO801DateFormat extends SimpleDateFormat {

	public ISO801DateFormat() {
		super("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'");
		setTimeZone(TimeZone.getTimeZone("UTC"));
	}
	
}
